### Home Classes Methods

### In Files

- lib/base/net_fix.rb

### Parent

Object

### Methods

- ::local_read_size=
- ::local_read_size?

### Files

- History.txt
- Manifest.txt
- README.txt
- Rakefile
- changelog
- compat
- control
- copyright
- rules
- format
- watch
- Rakefile
- index.txt
- serial
- passphrase.txt

### Class/Module Index

Quicksearch

- Net
- Net::HTTP
- Net::HTTPGenericRequest
- WEBrick
- WEBrick::AccessLog
- WEBrick::HTMLUtils
- Rightscale
- Rightscale::HttpConnection

No matching classes.

# Net::HTTPGenericRequest

### Constants

DEFAULT_LOCAL_READ_SIZE

  Default size (in bytes) of the max read from a local source (File, String, etc.) to the user space write buffers for socket IO.

### Public Class Methods

local_read_size=(readsize) click to toggle source

    # File lib/base/net_fix.rb, line 70
    def self.local_read_size=(readsize)
      if(readsize <= 0)
        return
      end
      @@local_read_size = readsize
    end

local_read_size?() click to toggle source

    # File lib/base/net_fix.rb, line 77
    def self.local_read_size?()
      @@local_read_size
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.